
Infrastructure - Bug #2957

Change postinst of dataone-cn-os-core  to install different server certs per environment

2012-06-15 18:58 - Robert Waltz

Status: Closed Start date: 2012-06-15

Priority: High Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: Sprint-2012.25-Block.4.1   

Milestone: CCI-1.0.2 Story Points:  

Product Version: *   

Description

postgres needs this too....

History

#1 - 2012-06-18 20:53 - Robert Waltz

- Milestone changed from CCI-1.0.1 to CCI-1.0.2

The new dataone cert is copied to /etc/ssl/certs/_.dataone.org.crt when upgrading from the stable channel, while the test cert is installed while

upgrading from the unstable channel.  

need to copy /etc/ssl/certs/_.dataone.org.crt from cn-dev to sandbox machines, copy the cert into /var/lib/postgresql/8.4/main as the server crt.

I also needed to modify /etc/apache2/sites-available/cn-ssl to set SSLCertificateChainFile to /etc/ssl/certs/gd_intermediate_bundle.crt

strangely /var/local/dataone/ca seemed to be alright??

Make a change to postinst such that all environments can be supported.

#2 - 2012-06-19 05:42 - Robert Waltz

- Target version changed from Sprint-2012.23-Block.3.4 to Sprint-2012.25-Block.4.1

#3 - 2012-06-20 16:41 - Robert Waltz

- Priority changed from Normal to High

#4 - 2012-07-02 21:40 - Robert Waltz

- Status changed from New to Closed
